petsc-3.10.5 2019-03-28
Report Typos and Errors

# TSTrjactorySetTransform

Solution vector will be transformed by provided function before being saved to disk

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSTrajectorySetTransform(TSTrajectory tj,PetscErrorCode (*transform)(void*,Vec,Vec*),PetscErrorCode (*destroy)(void*),void *tctx)

Collective on TSLGCtx

### Input Parameters

| tj | - the TSTrajectory context
| transform | - the transform function
| destroy | - function to destroy the optional context
| ctx | - optional context used by transform function

### Keywords

TSTrajectory, vector, monitor, view

### See Also

TSTrajectorySetVariableNames(), TSTrajectory, TSMonitorLGSetTransform()

### Level

intermediate

### Location

src/ts/trajectory/interface/traj.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages